Subject: Re: [RFC PATCH 00/29] net: VRF support

From: Shmulik Ladkani <[email-masked]>
Date: Fri, 6 Feb 2015 08:10:46 +0200

On Thu, 05 Feb 2015 15:12:57 -0800 roopa <[email-masked]> wrote:
> We have been playing with ip rules to implement vrfs. And the blocker 
> today is that we cannot bind a socket to a vrf (routing tables in this 
> case).

Hi Roopa,

One option would be using SO_MARK sockopt on that socket, and have an ip
rule which matches this mark to point to your table.
I don't know your exact use-cases, but you can play around with that
idea.

Regards,
Shmulik